<mat-tab-group mat-align-tabs="center">
  <mat-tab label="Resumen">
    <mat-card *ngIf="order">
      <mat-card-content>
        <mat-list >
          <mat-list-item>
            <b>Codigo: </b>  {{order.pedidoId}}
          </mat-list-item>
          <mat-list-item>
            <b>Proveedor: </b>  {{order.proveedor.nombre}}
          </mat-list-item>
          <mat-list-item>
            <b>Estado: </b>  {{order.estado.estado}}
          </mat-list-item>
          <mat-list-item>
            <b>Fecha Creacion: </b>  {{order.fechaCreacion | date:'medium'}}
          </mat-list-item>
          <mat-list-item>
            <b>Fecha Entrega: </b>  {{order.fechaEntrega | date:'medium'}}
          </mat-list-item>
          <mat-list-item>
            <b>Costo Transporte: </b>  {{order.costoTransporte | currency:'USD'}}
          </mat-list-item>
          <mat-list-item>
            <b>Costo Pedido: </b>  {{order.costoPedido | currency:'USD'}}
          </mat-list-item>
          <mat-list-item>
            <b>Total: </b>  {{order.total | currency:'USD'}}
          </mat-list-item>
        </mat-list>
      </mat-card-content>
      <mat-card-actions *ngIf="canEditStatus()">
        <button mat-raised-button (click)="onOrderCancel()">Cancelar</button>
        <button mat-raised-button color="primary" (click)="onOrderReceived()">Marcar como recibida</button>
      </mat-card-actions>
    </mat-card>
  </mat-tab>
  <mat-tab label="Insumos">
    <app-order-item *ngFor="let item of orderItems; let i = index;"
          [item]="item"
        ></app-order-item>
  </mat-tab>
  <mat-tab label="Historial">
    <mat-list>
      <mat-list-item *ngFor="let status of orderHistory; let i = index">
        <mat-icon mat-list-icon>{{getIconStatus(status.estadoPedidoId)}}</mat-icon> {{status.estado}} - {{status.fechaCreacion | date:'medium'}}
      </mat-list-item>
    </mat-list>
  </mat-tab>
</mat-tab-group>